1
vote
0answers
66 views

Enable the EPEL repository on AWS Elastic Beanstalk

I need to install some tools from the Extra Packages for Enterprise Linux repository (EPEL) that are not available in the default repositories of the Amazon Linux AMI. /etc/yum.repos.d/epel.repo ...
3
votes
1answer
176 views

Yum won't reinstall PHP on Amazon Linux

Ultimately, this question is about Yum and the Amazon Linux AMI (see the end for that part), but first I'll give some background to how I got into my situation. I installed PHP from source I am ...
1
vote
2answers
417 views

How do I install Python 2.7.4 OR 3.3.1 on an Amazon AMI?

I have an EC2 instance running a standard AMI, and have exhausted the limit of my abilities with yum and similar avenues to update python to 2.7.4 or 3.3.1 for a library I need to use. Unfortunately, ...
1
vote
2answers
257 views

upgrade to nginx 1.0 on Amazon Linux EC2 Instance

I've noticed that the official Amazon repos only host nginx 0.8 which is now considered a legacy release. Short of manually compiling from source what must I do to upgrade to the stable 1.0 version of ...
1
vote
2answers
927 views

Building nginx 1.0.4 on Amazon EC2 micro - perl and python problems

I'd like to run nginx as a reverse proxy with apache2 on my EC2 micro instance. yum install nginx gives me nginx-0.8.53-1.2.amzn1.x86_64.rpm The current nginx is 1.0.4 I found and followed this ...